<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TimeBillSearchBasic StructType
 * @subpackage Structs
 */
class TimeBillSearchBasic extends SearchRecordBasic
{
    /**
     * The approvalStatus
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $approvalStatus;
    /**
     * The approved
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $approved;
    /**
     * The billable
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $billable;
    /**
     * The class
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $class;
    /**
     * The customer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $customer;
    /**
     * The date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $date;
    /**
     * The dateCreated
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $dateCreated;
    /**
     * The department
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $department;
    /**
     * The duration
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $duration;
    /**
     * The employee
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $employee;
    /**
     * The exempt
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $exempt;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The item
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $item;
    /**
     * The lastModified
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $lastModified;
    /**
     * The location
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $location;
    /**
     * The memo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $memo;
    /**
     * The paidByPayroll
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $paidByPayroll;
    /**
     * The paidExternally
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $paidExternally;
    /**
     * The payItem
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $payItem;
    /**
     * The productive
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $productive;
    /**
     * The rejectionNote
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $rejectionNote;
    /**
     * The status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $status;
    /**
     * The subsidiary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $subsidiary;
    /**
     * The temporaryLocalJurisdiction
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $temporaryLocalJurisdiction;
    /**
     * The temporaryStateJurisdiction
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $temporaryStateJurisdiction;
    /**
     * The timeModified
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $timeModified;
    /**
     * The timeSheet
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $timeSheet;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $type;
    /**
     * The utilized
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $utilized;
    /**
     * The customFieldList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchCustomFieldList
     */
    public $customFieldList;
    /**
     * Constructor method for TimeBillSearchBasic
     * @uses TimeBillSearchBasic::setApprovalStatus()
     * @uses TimeBillSearchBasic::setApproved()
     * @uses TimeBillSearchBasic::setBillable()
     * @uses TimeBillSearchBasic::setClass()
     * @uses TimeBillSearchBasic::setCustomer()
     * @uses TimeBillSearchBasic::setDate()
     * @uses TimeBillSearchBasic::setDateCreated()
     * @uses TimeBillSearchBasic::setDepartment()
     * @uses TimeBillSearchBasic::setDuration()
     * @uses TimeBillSearchBasic::setEmployee()
     * @uses TimeBillSearchBasic::setExempt()
     * @uses TimeBillSearchBasic::setExternalId()
     * @uses TimeBillSearchBasic::setExternalIdString()
     * @uses TimeBillSearchBasic::setInternalId()
     * @uses TimeBillSearchBasic::setInternalIdNumber()
     * @uses TimeBillSearchBasic::setItem()
     * @uses TimeBillSearchBasic::setLastModified()
     * @uses TimeBillSearchBasic::setLocation()
     * @uses TimeBillSearchBasic::setMemo()
     * @uses TimeBillSearchBasic::setPaidByPayroll()
     * @uses TimeBillSearchBasic::setPaidExternally()
     * @uses TimeBillSearchBasic::setPayItem()
     * @uses TimeBillSearchBasic::setProductive()
     * @uses TimeBillSearchBasic::setRejectionNote()
     * @uses TimeBillSearchBasic::setStatus()
     * @uses TimeBillSearchBasic::setSubsidiary()
     * @uses TimeBillSearchBasic::setTemporaryLocalJurisdiction()
     * @uses TimeBillSearchBasic::setTemporaryStateJurisdiction()
     * @uses TimeBillSearchBasic::setTimeModified()
     * @uses TimeBillSearchBasic::setTimeSheet()
     * @uses TimeBillSearchBasic::setType()
     * @uses TimeBillSearchBasic::setUtilized()
     * @uses TimeBillSearchBasic::setCustomFieldList()
     * @param \StructType\SearchMultiSelectField $approvalStatus
     * @param \StructType\SearchBooleanField $approved
     * @param \StructType\SearchBooleanField $billable
     * @param \StructType\SearchMultiSelectField $class
     * @param \StructType\SearchMultiSelectField $customer
     * @param \StructType\SearchDateField $date
     * @param \StructType\SearchDateField $dateCreated
     * @param \StructType\SearchMultiSelectField $department
     * @param \StructType\SearchDoubleField $duration
     * @param \StructType\SearchMultiSelectField $employee
     * @param \StructType\SearchBooleanField $exempt
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchMultiSelectField $item
     * @param \StructType\SearchDateField $lastModified
     * @param \StructType\SearchMultiSelectField $location
     * @param \StructType\SearchStringField $memo
     * @param \StructType\SearchBooleanField $paidByPayroll
     * @param \StructType\SearchBooleanField $paidExternally
     * @param \StructType\SearchMultiSelectField $payItem
     * @param \StructType\SearchBooleanField $productive
     * @param \StructType\SearchStringField $rejectionNote
     * @param \StructType\SearchBooleanField $status
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @param \StructType\SearchMultiSelectField $temporaryLocalJurisdiction
     * @param \StructType\SearchMultiSelectField $temporaryStateJurisdiction
     * @param \StructType\SearchBooleanField $timeModified
     * @param \StructType\SearchMultiSelectField $timeSheet
     * @param \StructType\SearchEnumMultiSelectField $type
     * @param \StructType\SearchBooleanField $utilized
     * @param \StructType\SearchCustomFieldList $customFieldList
     */
    public function __construct(\StructType\SearchMultiSelectField $approvalStatus = null, \StructType\SearchBooleanField $approved = null, \StructType\SearchBooleanField $billable = null, \StructType\SearchMultiSelectField $class = null, \StructType\SearchMultiSelectField $customer = null, \StructType\SearchDateField $date = null, \StructType\SearchDateField $dateCreated = null, \StructType\SearchMultiSelectField $department = null, \StructType\SearchDoubleField $duration = null, \StructType\SearchMultiSelectField $employee = null, \StructType\SearchBooleanField $exempt = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchMultiSelectField $item = null, \StructType\SearchDateField $lastModified = null, \StructType\SearchMultiSelectField $location = null, \StructType\SearchStringField $memo = null, \StructType\SearchBooleanField $paidByPayroll = null, \StructType\SearchBooleanField $paidExternally = null, \StructType\SearchMultiSelectField $payItem = null, \StructType\SearchBooleanField $productive = null, \StructType\SearchStringField $rejectionNote = null, \StructType\SearchBooleanField $status = null, \StructType\SearchMultiSelectField $subsidiary = null, \StructType\SearchMultiSelectField $temporaryLocalJurisdiction = null, \StructType\SearchMultiSelectField $temporaryStateJurisdiction = null, \StructType\SearchBooleanField $timeModified = null, \StructType\SearchMultiSelectField $timeSheet = null, \StructType\SearchEnumMultiSelectField $type = null, \StructType\SearchBooleanField $utilized = null, \StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this
            ->setApprovalStatus($approvalStatus)
            ->setApproved($approved)
            ->setBillable($billable)
            ->setClass($class)
            ->setCustomer($customer)
            ->setDate($date)
            ->setDateCreated($dateCreated)
            ->setDepartment($department)
            ->setDuration($duration)
            ->setEmployee($employee)
            ->setExempt($exempt)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setItem($item)
            ->setLastModified($lastModified)
            ->setLocation($location)
            ->setMemo($memo)
            ->setPaidByPayroll($paidByPayroll)
            ->setPaidExternally($paidExternally)
            ->setPayItem($payItem)
            ->setProductive($productive)
            ->setRejectionNote($rejectionNote)
            ->setStatus($status)
            ->setSubsidiary($subsidiary)
            ->setTemporaryLocalJurisdiction($temporaryLocalJurisdiction)
            ->setTemporaryStateJurisdiction($temporaryStateJurisdiction)
            ->setTimeModified($timeModified)
            ->setTimeSheet($timeSheet)
            ->setType($type)
            ->setUtilized($utilized)
            ->setCustomFieldList($customFieldList);
    }
    /**
     * Get approvalStatus value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getApprovalStatus()
    {
        return $this->approvalStatus;
    }
    /**
     * Set approvalStatus value
     * @param \StructType\SearchMultiSelectField $approvalStatus
     * @return \StructType\TimeBillSearchBasic
     */
    public function setApprovalStatus(\StructType\SearchMultiSelectField $approvalStatus = null)
    {
        $this->approvalStatus = $approvalStatus;
        return $this;
    }
    /**
     * Get approved value
     * @return \StructType\SearchBooleanField|null
     */
    public function getApproved()
    {
        return $this->approved;
    }
    /**
     * Set approved value
     * @param \StructType\SearchBooleanField $approved
     * @return \StructType\TimeBillSearchBasic
     */
    public function setApproved(\StructType\SearchBooleanField $approved = null)
    {
        $this->approved = $approved;
        return $this;
    }
    /**
     * Get billable value
     * @return \StructType\SearchBooleanField|null
     */
    public function getBillable()
    {
        return $this->billable;
    }
    /**
     * Set billable value
     * @param \StructType\SearchBooleanField $billable
     * @return \StructType\TimeBillSearchBasic
     */
    public function setBillable(\StructType\SearchBooleanField $billable = null)
    {
        $this->billable = $billable;
        return $this;
    }
    /**
     * Get class value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getClass()
    {
        return $this->class;
    }
    /**
     * Set class value
     * @param \StructType\SearchMultiSelectField $class
     * @return \StructType\TimeBillSearchBasic
     */
    public function setClass(\StructType\SearchMultiSelectField $class = null)
    {
        $this->class = $class;
        return $this;
    }
    /**
     * Get customer value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getCustomer()
    {
        return $this->customer;
    }
    /**
     * Set customer value
     * @param \StructType\SearchMultiSelectField $customer
     * @return \StructType\TimeBillSearchBasic
     */
    public function setCustomer(\StructType\SearchMultiSelectField $customer = null)
    {
        $this->customer = $customer;
        return $this;
    }
    /**
     * Get date value
     * @return \StructType\SearchDateField|null
     */
    public function getDate()
    {
        return $this->date;
    }
    /**
     * Set date value
     * @param \StructType\SearchDateField $date
     * @return \StructType\TimeBillSearchBasic
     */
    public function setDate(\StructType\SearchDateField $date = null)
    {
        $this->date = $date;
        return $this;
    }
    /**
     * Get dateCreated value
     * @return \StructType\SearchDateField|null
     */
    public function getDateCreated()
    {
        return $this->dateCreated;
    }
    /**
     * Set dateCreated value
     * @param \StructType\SearchDateField $dateCreated
     * @return \StructType\TimeBillSearchBasic
     */
    public function setDateCreated(\StructType\SearchDateField $dateCreated = null)
    {
        $this->dateCreated = $dateCreated;
        return $this;
    }
    /**
     * Get department value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getDepartment()
    {
        return $this->department;
    }
    /**
     * Set department value
     * @param \StructType\SearchMultiSelectField $department
     * @return \StructType\TimeBillSearchBasic
     */
    public function setDepartment(\StructType\SearchMultiSelectField $department = null)
    {
        $this->department = $department;
        return $this;
    }
    /**
     * Get duration value
     * @return \StructType\SearchDoubleField|null
     */
    public function getDuration()
    {
        return $this->duration;
    }
    /**
     * Set duration value
     * @param \StructType\SearchDoubleField $duration
     * @return \StructType\TimeBillSearchBasic
     */
    public function setDuration(\StructType\SearchDoubleField $duration = null)
    {
        $this->duration = $duration;
        return $this;
    }
    /**
     * Get employee value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getEmployee()
    {
        return $this->employee;
    }
    /**
     * Set employee value
     * @param \StructType\SearchMultiSelectField $employee
     * @return \StructType\TimeBillSearchBasic
     */
    public function setEmployee(\StructType\SearchMultiSelectField $employee = null)
    {
        $this->employee = $employee;
        return $this;
    }
    /**
     * Get exempt value
     * @return \StructType\SearchBooleanField|null
     */
    public function getExempt()
    {
        return $this->exempt;
    }
    /**
     * Set exempt value
     * @param \StructType\SearchBooleanField $exempt
     * @return \StructType\TimeBillSearchBasic
     */
    public function setExempt(\StructType\SearchBooleanField $exempt = null)
    {
        $this->exempt = $exempt;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\TimeBillSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\TimeBillSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\TimeBillSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\TimeBillSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get item value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getItem()
    {
        return $this->item;
    }
    /**
     * Set item value
     * @param \StructType\SearchMultiSelectField $item
     * @return \StructType\TimeBillSearchBasic
     */
    public function setItem(\StructType\SearchMultiSelectField $item = null)
    {
        $this->item = $item;
        return $this;
    }
    /**
     * Get lastModified value
     * @return \StructType\SearchDateField|null
     */
    public function getLastModified()
    {
        return $this->lastModified;
    }
    /**
     * Set lastModified value
     * @param \StructType\SearchDateField $lastModified
     * @return \StructType\TimeBillSearchBasic
     */
    public function setLastModified(\StructType\SearchDateField $lastModified = null)
    {
        $this->lastModified = $lastModified;
        return $this;
    }
    /**
     * Get location value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getLocation()
    {
        return $this->location;
    }
    /**
     * Set location value
     * @param \StructType\SearchMultiSelectField $location
     * @return \StructType\TimeBillSearchBasic
     */
    public function setLocation(\StructType\SearchMultiSelectField $location = null)
    {
        $this->location = $location;
        return $this;
    }
    /**
     * Get memo value
     * @return \StructType\SearchStringField|null
     */
    public function getMemo()
    {
        return $this->memo;
    }
    /**
     * Set memo value
     * @param \StructType\SearchStringField $memo
     * @return \StructType\TimeBillSearchBasic
     */
    public function setMemo(\StructType\SearchStringField $memo = null)
    {
        $this->memo = $memo;
        return $this;
    }
    /**
     * Get paidByPayroll value
     * @return \StructType\SearchBooleanField|null
     */
    public function getPaidByPayroll()
    {
        return $this->paidByPayroll;
    }
    /**
     * Set paidByPayroll value
     * @param \StructType\SearchBooleanField $paidByPayroll
     * @return \StructType\TimeBillSearchBasic
     */
    public function setPaidByPayroll(\StructType\SearchBooleanField $paidByPayroll = null)
    {
        $this->paidByPayroll = $paidByPayroll;
        return $this;
    }
    /**
     * Get paidExternally value
     * @return \StructType\SearchBooleanField|null
     */
    public function getPaidExternally()
    {
        return $this->paidExternally;
    }
    /**
     * Set paidExternally value
     * @param \StructType\SearchBooleanField $paidExternally
     * @return \StructType\TimeBillSearchBasic
     */
    public function setPaidExternally(\StructType\SearchBooleanField $paidExternally = null)
    {
        $this->paidExternally = $paidExternally;
        return $this;
    }
    /**
     * Get payItem value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getPayItem()
    {
        return $this->payItem;
    }
    /**
     * Set payItem value
     * @param \StructType\SearchMultiSelectField $payItem
     * @return \StructType\TimeBillSearchBasic
     */
    public function setPayItem(\StructType\SearchMultiSelectField $payItem = null)
    {
        $this->payItem = $payItem;
        return $this;
    }
    /**
     * Get productive value
     * @return \StructType\SearchBooleanField|null
     */
    public function getProductive()
    {
        return $this->productive;
    }
    /**
     * Set productive value
     * @param \StructType\SearchBooleanField $productive
     * @return \StructType\TimeBillSearchBasic
     */
    public function setProductive(\StructType\SearchBooleanField $productive = null)
    {
        $this->productive = $productive;
        return $this;
    }
    /**
     * Get rejectionNote value
     * @return \StructType\SearchStringField|null
     */
    public function getRejectionNote()
    {
        return $this->rejectionNote;
    }
    /**
     * Set rejectionNote value
     * @param \StructType\SearchStringField $rejectionNote
     * @return \StructType\TimeBillSearchBasic
     */
    public function setRejectionNote(\StructType\SearchStringField $rejectionNote = null)
    {
        $this->rejectionNote = $rejectionNote;
        return $this;
    }
    /**
     * Get status value
     * @return \StructType\SearchBooleanField|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param \StructType\SearchBooleanField $status
     * @return \StructType\TimeBillSearchBasic
     */
    public function setStatus(\StructType\SearchBooleanField $status = null)
    {
        $this->status = $status;
        return $this;
    }
    /**
     * Get subsidiary value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getSubsidiary()
    {
        return $this->subsidiary;
    }
    /**
     * Set subsidiary value
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @return \StructType\TimeBillSearchBasic
     */
    public function setSubsidiary(\StructType\SearchMultiSelectField $subsidiary = null)
    {
        $this->subsidiary = $subsidiary;
        return $this;
    }
    /**
     * Get temporaryLocalJurisdiction value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getTemporaryLocalJurisdiction()
    {
        return $this->temporaryLocalJurisdiction;
    }
    /**
     * Set temporaryLocalJurisdiction value
     * @param \StructType\SearchMultiSelectField $temporaryLocalJurisdiction
     * @return \StructType\TimeBillSearchBasic
     */
    public function setTemporaryLocalJurisdiction(\StructType\SearchMultiSelectField $temporaryLocalJurisdiction = null)
    {
        $this->temporaryLocalJurisdiction = $temporaryLocalJurisdiction;
        return $this;
    }
    /**
     * Get temporaryStateJurisdiction value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getTemporaryStateJurisdiction()
    {
        return $this->temporaryStateJurisdiction;
    }
    /**
     * Set temporaryStateJurisdiction value
     * @param \StructType\SearchMultiSelectField $temporaryStateJurisdiction
     * @return \StructType\TimeBillSearchBasic
     */
    public function setTemporaryStateJurisdiction(\StructType\SearchMultiSelectField $temporaryStateJurisdiction = null)
    {
        $this->temporaryStateJurisdiction = $temporaryStateJurisdiction;
        return $this;
    }
    /**
     * Get timeModified value
     * @return \StructType\SearchBooleanField|null
     */
    public function getTimeModified()
    {
        return $this->timeModified;
    }
    /**
     * Set timeModified value
     * @param \StructType\SearchBooleanField $timeModified
     * @return \StructType\TimeBillSearchBasic
     */
    public function setTimeModified(\StructType\SearchBooleanField $timeModified = null)
    {
        $this->timeModified = $timeModified;
        return $this;
    }
    /**
     * Get timeSheet value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getTimeSheet()
    {
        return $this->timeSheet;
    }
    /**
     * Set timeSheet value
     * @param \StructType\SearchMultiSelectField $timeSheet
     * @return \StructType\TimeBillSearchBasic
     */
    public function setTimeSheet(\StructType\SearchMultiSelectField $timeSheet = null)
    {
        $this->timeSheet = $timeSheet;
        return $this;
    }
    /**
     * Get type value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param \StructType\SearchEnumMultiSelectField $type
     * @return \StructType\TimeBillSearchBasic
     */
    public function setType(\StructType\SearchEnumMultiSelectField $type = null)
    {
        $this->type = $type;
        return $this;
    }
    /**
     * Get utilized value
     * @return \StructType\SearchBooleanField|null
     */
    public function getUtilized()
    {
        return $this->utilized;
    }
    /**
     * Set utilized value
     * @param \StructType\SearchBooleanField $utilized
     * @return \StructType\TimeBillSearchBasic
     */
    public function setUtilized(\StructType\SearchBooleanField $utilized = null)
    {
        $this->utilized = $utilized;
        return $this;
    }
    /**
     * Get customFieldList value
     * @return \StructType\SearchCustomFieldList|null
     */
    public function getCustomFieldList()
    {
        return $this->customFieldList;
    }
    /**
     * Set customFieldList value
     * @param \StructType\SearchCustomFieldList $customFieldList
     * @return \StructType\TimeBillSearchBasic
     */
    public function setCustomFieldList(\StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this->customFieldList = $customFieldList;
        return $this;
    }
}
